VersionMBean (Apache Derby 10.4 API Documentation)
Date: 2008-04-16

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.mbeans
Interface VersionMBean

    public interface VersionMBean

This interface defines a Standard MBean for exposing the version information of a running Derby component. Refer to the getters of the interface for defined attributes. All attributes are read-only. The MBean does not define any operations.

Key properties for registered MBean:

- `type=Version`
- `jar={derby.jar|derbynet.jar}`
- `system=`runtime system identifier (see overview)

If a security manager is installed these permissions are required:

- `SystemPermission("server", "monitor")` for version information specific to derbynet.jar
- `SystemPermission("engine", "monitor")` for version information specific to derby.jar

See Also:
  `SystemPermission`

Method Summary
`java.lang.String` | `getBuildNumber()`
`int` | `getMaintenanceVersion()`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getProductTechnologyName()`
`java.lang.String` | `getProductVendorName()`
`java.lang.String` | `getVersionString()` Return the full version string.
`boolean` | `isAlpha()`
`boolean` | `isBeta()`

Method Detail

### getProductName

    java.lang.String getProductName()

### getProductTechnologyName

    java.lang.String getProductTechnologyName()

### getProductVendorName

    java.lang.String getProductVendorName()

### getMajorVersion

    int getMajorVersion()

### getMinorVersion

    int getMinorVersion()

### getMaintenanceVersion

    int getMaintenanceVersion()

### getVersionString

    java.lang.String getVersionString()

  Return the full version string.

  Returns:
    Full version string.

### getBuildNumber

    java.lang.String getBuildNumber()

### isBeta

    boolean isBeta()

### isAlpha

    boolean isAlpha()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2008-04-16 18:34:32+0200, from revision 648739
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.4 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.